Bug 483252 - DVD install fails - ValueError: need more than 0 values to unpack
DVD install fails - ValueError: need more than 0 values to unpack
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F11Alpha/F11AlphaBlocker
  Show dependency treegraph
 
Reported: 2009-01-30 09:57 EST by James Laska
Modified: 2013-09-02 02:29 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-02-06 14:19:36 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
traceback.png (26.74 KB, image/png)
2009-01-30 09:57 EST, James Laska
no flags Details
anaconda-logs.tgz (12.14 KB, application/octet-stream)
2009-01-30 10:00 EST, James Laska
no flags Details

  None (edit)
Description James Laska 2009-01-30 09:57:49 EST
Created attachment 330474 [details]
traceback.png

Description of problem:

Booting and installing from the DVD tracebacks and umounts the system while attempting to start X and transition to stage#2.

Version-Release number of selected component (if applicable):
anaconda-11.5.0.11

How reproducible:
100% so far ... tested on x86_64 KVM guest, and x86_64 physical system ... both DVD installs

Steps to Reproduce:
1. Boot system with x86_64 DVD
2. Skip (or accept) DVD check
  
Actual results:
X fails to start, a traceback is shown and the system umounts all mounted volumes.  See attached screenshot (transcribed below):

Traceback (most recent call last):
 File "/usr/bin/anaconda", line 921, in <module>
   anaconda.id = instClass.installDataClass(anaconda, extraModules, opts.display_mode, anaconda.backend)
 File "/usr/lib/anaconda/instdata.py", line 344, in __init__
   self.reset()
 File "/usr/lib/anaconda/instdata.py", line 70, in reset
   self.iscsi = iscsi.iscsi()
 File "/usr/lib/anaconda/iscsi.py", line 227, in __init__
   self.fwinfo = self._queryFirmware()
 File "/usr/lib/anaconda/iscsi.py", line 275, in _queryFirmware
   result = iutil.execWithCapture(ISCSIADM, argv)
 File "/usr/lib/anaconda/iutil.py", line 138, in execWithCapture
   except OSError, (errno, msg):
 ValueError: need more than 0 values to unpack

Expected results:
 * Successfully transition to stage#2


Additional info:
 * added to F11Alpha for review as an alpha blocker.
Comment 1 James Laska 2009-01-30 10:00:01 EST
Created attachment 330476 [details]
anaconda-logs.tgz

I've ScrollLock'd the screen right before it umounts the drives ... and uploaded the log files ...

# tar -ztvf /tmp/anaconda-logs.tgz 
-rw-r--r-- root/root         0 2009-11-05 16:46 tmp/anaconda-logs.tgz
-rw-r--r-- root/root       345 2009-11-05 16:33 tmp/anaconda-yum.conf
-rw-r--r-- root/root      1613 2009-11-05 16:33 tmp/anaconda.log
-rw------- root/root       235 2009-11-05 16:33 tmp/libuser.LVe25E
-rw-r--r-- root/root        46 2009-11-05 16:33 tmp/program.log
-rw-r--r-- root/root     50476 2009-11-05 16:34 tmp/syslog
drwxr-xr-x root/root         0 2009-11-05 16:33 tmp/updates/
Comment 2 Chris Lumens 2009-02-02 13:21:04 EST
Jesse said this is not still happening with today's rawhide.  Is that a fact?
Comment 3 James Laska 2009-02-06 14:07:51 EST
Nope, no longer happening with F11 Alpha.
Comment 4 Chris Lumens 2009-02-06 14:19:36 EST
It's magic.

Note You need to log in before you can comment on or make changes to this bug.